claw::meta::if_then_else< true, ThenPart, ElsePart > Struct Template Reference

Specialization for the case where the condition evaluates to true. More...

`#include <conditional.hpp>`

## Public Types

typedef ThenPart | result
| When the condition evaluates to true, the result is the "else" part.

## Detailed Description

template<typename ThenPart, typename ElsePart>
struct claw::meta::if_then_else< true, ThenPart, ElsePart >

Specialization for the case where the condition evaluates to true.

Definition at line 57 of file conditional.hpp.

## Member Typedef Documentation

## result

template<typename ThenPart, typename ElsePart>

typedef ThenPart claw::meta::if_then_else< true, ThenPart, ElsePart >::result

When the condition evaluates to true, the result is the "else" part.

Definition at line 61 of file conditional.hpp.

The documentation for this struct was generated from the following file:

- meta/conditional.hpp